﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[CBSCSA]') AND name = N'XCBSCSA1')
BEGIN 
PRINT 'Creating index XCBSCSA1 on table CBSCSA'
CREATE UNIQUE NONCLUSTERED INDEX [XCBSCSA1] ON [dbo].[CBSCSA] 
(
	[DATE1] ASC,
	[ALPH] ASC,
	[CTGY] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSCSA' AND COLUMN_NAME = 'DONE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSCSA_DONE')
BEGIN 
    PRINT 'Creating default constraint DF_CBSCSA_DONE on table CBSCSA' 
    ALTER TABLE [dbo].[CBSCSA]
    ADD CONSTRAINT [DF_CBSCSA_DONE] DEFAULT ((0)) FOR [DONE]
END 
GO

